> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/cloud-probe-result.md).

# cloudProbeResult

Result of a single connectivity probe executed against the asset during attack surface simulation.

### Examples

```graphql
type CloudProbeResult {
  url: String
  type: String
  statusCode: Int
  curl: String
  connectedAsset: CloudProbeConnectedAsset
}
```

### Fields

| Field                                                                                                                                          | Description                                                                                                   | Supported fields                                              |
| ---------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------- |
| url `String`                                                                                                                                   | URL the probe requested.                                                                                      |                                                               |
| type `String`                                                                                                                                  | Protocol or probe type used for the request.                                                                  |                                                               |
| statusCode `Int`                                                                                                                               | HTTP status code returned by the probed endpoint.                                                             |                                                               |
| curl `String`                                                                                                                                  | Command that reproduces the probe request.                                                                    |                                                               |
| connectedAsset [`CloudProbeConnectedAsset`](/api-documentation/api-reference/api--cloud-security/types/objects/cloud-probe-connected-asset.md) | Cloud asset that served the probed URL. Null when the responding asset could not be matched to the inventory. | <p>name <code>String</code><br>cbomId <code>String</code></p> |

### References

#### Fields with this object:

* [{} CloudItem.probeResults](/api-documentation/api-reference/api--cloud-security/types/objects/cloud-item.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/cloud-probe-result.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
